Bug 782596 - Fix packaging issues with clamav
Fix packaging issues with clamav
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: clamav (Show other bugs)
el6
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Steven Pritchard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-17 15:56 EST by Philip Prindeville
Modified: 2013-10-23 14:19 EDT (History)
4 users (show)

See Also:
Fixed In Version: clamav-0.98-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-14 12:07:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Packaging fixes for clamav (11.08 KB, application/octet-stream)
2012-01-17 15:56 EST, Philip Prindeville
no flags Details
Removes 2nd tarball (6.55 KB, patch)
2012-01-24 23:49 EST, Philip Prindeville
no flags Details | Diff

  None (edit)
Description Philip Prindeville 2012-01-17 15:56:49 EST
Created attachment 555850 [details]
Packaging fixes for clamav

Description of problem:

Clamav currently puts certain files (clamd-wrapper, README.clamd-wrapper) into the clamav package, not the clamd subpackage.

The clamd.init and clamd.sysconfig files are missing from the clamd subpackage.

CLAMD_SOCKET and CLAMD_PIDFILE should never be specified in the sysconfig file (only the clamd.conf file).

Version-Release number of selected component (if applicable):

0.97.3-4

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Nick Bebout 2012-01-24 23:47:40 EST
I've split the files out into separate files instead of in the rpm.

Please make all the -wrapper stuff in a clamav-wrapper or clamd-wrapper package.
Comment 2 Philip Prindeville 2012-01-24 23:49:05 EST
Created attachment 557369 [details]
Removes 2nd tarball

2nd patch. Removes 2nd tarball. Will add final repackaging fix for -wrapper subpackage after this has been applied.
Comment 3 Philip Prindeville 2012-09-26 19:15:54 EDT
hello?
Comment 4 Fedora Update System 2013-10-06 12:55:16 EDT
clamav-0.98-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/clamav-0.98-1.el6
Comment 5 Fedora Update System 2013-10-06 12:59:47 EDT
clamav-0.98-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/clamav-0.98-1.el5
Comment 6 Fedora Update System 2013-10-08 13:44:26 EDT
Package clamav-0.98-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing clamav-0.98-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-11764/clamav-0.98-1.el5
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-10-14 12:07:16 EDT
clamav-0.98-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-10-23 14:19:41 EDT
clamav-0.98-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.